package net.sf.doolin.gui.action;

/**
 * Basic implementation for action classes that need a safe-typed access to the
 * context data.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <T>
 *            Type of the context data
 * @see ActionContext#getData()
 * @deprecated Use
 *             {@link AbstractGUIAction#setActionContextDataExtractor(net.sf.doolin.gui.action.support.ActionContextDataExtractor)}
 */
@Deprecated
public abstract class AbstractTypedGUIAction<T> extends AbstractSimpleGUIAction {

	@Override
	protected void doExecute(ActionContext context) throws Exception {
		@SuppressWarnings("unchecked")
		T bean = (T) context.getData();
		doExecute(context, bean);
	}

	/**
	 * Executes the action with a typed action context data
	 * 
	 * @param context
	 *            Action context
	 * @param bean
	 *            Typed action context data
	 */
	protected abstract void doExecute(ActionContext context, T bean);

}
