package net.sf.doolin.gui.action.path.statusbar;

import javax.swing.JLabel;

import net.sf.doolin.gui.action.ActionContext;
import net.sf.doolin.gui.expression.GUIExpression;

import org.springframework.beans.factory.annotation.Required;

/**
 * Connector that binds the label text to the result of an expression. The model
 * bean for the expression is the {@linkplain ActionContext#getData() action
 * context data}.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class ExpressionLabelConnector implements LabelConnector {

	private String expression;

	@Override
	public void connect(ActionContext actionContext, JLabel label) {
		GUIExpression guiExpression = new GUIExpression(actionContext
				.getSubscriberValidator(), actionContext.getData(),
				this.expression);
		guiExpression.connect(actionContext.getSubscriberValidator(), label,
				"text");
	}

	/**
	 * Gets the expression
	 * 
	 * @return Expression
	 */
	public String getExpression() {
		return this.expression;
	}

	/**
	 * Sets the expression
	 * 
	 * @param expression
	 *            Expression to set
	 */
	@Required
	public void setExpression(String expression) {
		this.expression = expression;
	}

}
