package net.sf.doolin.gui.action.path.toolbar;

import net.sf.doolin.gui.action.path.list.ActionPathList;

/**
 * Tool bar definition.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class ToolBar {

	/**
	 * property
	 */
	public static final String FLOATABLE = "floatable";

	private String name;
	private BarPosition position = BarPosition.TOP;
	private ActionPathList actionPathList;
	private boolean floatable = true;

	/**
	 * Checks if is floatable status.
	 * 
	 * @return true, if is floatable status
	 */
	public boolean isFloatable() {
		return this.floatable;
	}

	/**
	 * Sets the floatable status.
	 * 
	 * @param floatable
	 *            the new floatable status
	 */
	public void setFloatable(boolean floatable) {
		this.floatable = floatable;
	}

	/**
	 * Gets the action path list.
	 * 
	 * @return the action path list
	 */
	public ActionPathList getActionPathList() {
		return this.actionPathList;
	}

	/**
	 * Sets the action path list.
	 * 
	 * @param actionPathList
	 *            the new action path list
	 */
	public void setActionPathList(ActionPathList actionPathList) {
		this.actionPathList = actionPathList;
	}

	/**
	 * Gets the position.
	 * 
	 * @return the position
	 */
	public BarPosition getPosition() {
		return this.position;
	}

	/**
	 * Sets the position.
	 * 
	 * @param position
	 *            the new position
	 */
	public void setPosition(BarPosition position) {
		this.position = position;
	}

	/**
	 * Gets the name.
	 * 
	 * @return the name
	 */
	public String getName() {
		return this.name;
	}

	/**
	 * Sets the name.
	 * 
	 * @param name
	 *            the new name
	 */
	public void setName(String name) {
		this.name = name;
	}

}
