package net.sf.doolin.gui.action.swing;

import javax.swing.Action;
import javax.swing.JButton;
import javax.swing.JToolBar;

import net.sf.doolin.bus.SubscriberValidator;
import net.sf.doolin.bus.support.PropertyChangeSupport;
import net.sf.doolin.gui.action.support.AbstractSwingAction;
import net.sf.doolin.gui.swing.JButtonBar;

/**
 * {@link MenuBuilder} that builds a {@link JButtonBar}.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class JButtonBarBuilder extends AbstractMenuBuilder {

	private final JButtonBar buttonBar;

	/**
	 * Constructor.
	 * 
	 * @param buttonBar
	 *            Button bar to build
	 */
	public JButtonBarBuilder(JButtonBar buttonBar) {
		this.buttonBar = buttonBar;
	}

	@Override
	protected void createSeparator() {
		this.buttonBar.add(new JToolBar.Separator());
	}

	@Override
	public void add(SubscriberValidator subscriberValidator, Action swingAction) {
		// Adds it to the bar
		JButton button = this.buttonBar.add(swingAction);
		// Connects the visibility
		PropertyChangeSupport.connectOneWayAndUpdate(subscriberValidator,
				swingAction, AbstractSwingAction.VISIBLE_PROPERTY, button,
				"visible");
	}

	@Override
	public MenuBuilder createSubMenu(String name, String label) {
		// TODO Missing code for JButtonBarBuilder.createSubMenu
		throw new UnsupportedOperationException(
				"Missing code for JButtonBarBuilder.createSubMenu");
	}

	@Override
	public void clear() {
		this.buttonBar.clear();
	}

}
