package net.sf.doolin.gui.display;

import net.sf.doolin.gui.action.ActionContext;

/**
 * Handler for a fixed value.
 * 
 * @author Damien Coraboeuf
 * 
 */
public abstract class AbstractFixedDisplayStateHandler extends
		AbstractDisplayStateHandler {

	@Override
	public void subscribe(ActionContext actionContext, Runnable task) {
		task.run();
	}

	@Override
	public DisplayState getDisplayState(ActionContext actionContext) {
		return getState();
	}

	/**
	 * Returns the fixed value
	 * 
	 * @return Fixed state
	 */
	protected abstract DisplayState getState();

}
