package net.sf.doolin.gui.display;

import net.sf.doolin.gui.action.ActionContext;

public abstract class AbstractSimpleDisplayStateHandler extends
		AbstractDisplayStateHandler {

	private DisplayState ifTrueState = DisplayState.ENABLED;
	private DisplayState ifFalseState = DisplayState.DISABLED;

	@Override
	public DisplayState getDisplayState(ActionContext actionContext) {
		boolean active = isActive(actionContext);
		return active ? this.ifTrueState : this.ifFalseState;
	}

	public DisplayState getIfFalseState() {
		return this.ifFalseState;
	}

	public DisplayState getIfTrueState() {
		return this.ifTrueState;
	}

	protected abstract boolean isActive(ActionContext actionContext);

	public void setIfFalseState(DisplayState ifFalseState) {
		this.ifFalseState = ifFalseState;
	}

	public void setIfTrueState(DisplayState ifTrueState) {
		this.ifTrueState = ifTrueState;
	}

}
