package net.sf.doolin.gui.edit;

import javax.swing.UIManager;

import net.sf.doolin.gui.display.DisplayState;

/**
 * Action to redo the last undone task.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class GUIRedoAction extends GUIEditAction {

	@Override
	protected void execute(GUIEditManager editManager) {
		if (editManager.canRedo()) {
			editManager.redo();
		}
	}

	@Override
	protected DisplayState getActionState(GUIEditManager editManager) {
		return editManager.canRedo() ? DisplayState.ENABLED
				: DisplayState.DISABLED;
	}

	@Override
	protected String getActionText(GUIEditManager editManager) {
		if (editManager.canRedo()) {
			return String.format("%s %s", UIManager
					.getString("AbstractUndoableEdit.redoText"), editManager
					.getRedoDisplayName());
		} else {
			return UIManager.getString("AbstractUndoableEdit.redoText");
		}
	}

}
