package net.sf.doolin.gui.edit;

import javax.swing.UIManager;

import net.sf.doolin.gui.display.DisplayState;

/**
 * Action to undo the next available task.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class GUIUndoAction extends GUIEditAction {

	@Override
	protected void execute(GUIEditManager editManager) {
		if (editManager.canUndo()) {
			editManager.undo();
		}
	}

	@Override
	protected DisplayState getActionState(GUIEditManager editManager) {
		return editManager.canUndo() ? DisplayState.ENABLED
				: DisplayState.DISABLED;
	}

	@Override
	protected String getActionText(GUIEditManager editManager) {
		if (editManager.canRedo()) {
			return String.format("%s %s", UIManager
					.getString("AbstractUndoableEdit.undoText"), editManager
					.getRedoDisplayName());
		} else {
			return UIManager.getString("AbstractUndoableEdit.undoText");
		}
	}

}
