package net.sf.doolin.gui.field;

import javax.swing.JComponent;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/**
 * {@link JTextArea} field descriptor.
 * 
 * @param <V>
 *            Type of object for the view
 */
public class FieldMemo<V> extends AbstractFieldText<V, JTextArea> {

	private static final long serialVersionUID = 1L;

	private int rows = 3;

	@Override
	protected JTextArea createTextComponent() {
		return new JTextArea(getRows(), getColumns());
	}

	/**
	 * Uses the scroll pane for the text area.
	 */
	@Override
	protected JComponent decorateComponent(JTextArea text) {
		return new JScrollPane(text);
	}

	/**
	 * Gets the rows.
	 * 
	 * @return the rows
	 */
	public int getRows() {
		return this.rows;
	}

	/**
	 * Sets the row number.
	 * 
	 * @param rows
	 *            the new rows
	 */
	public void setRows(int rows) {
		this.rows = rows;
	}

}
