package net.sf.doolin.gui.field.table.header.support;

import java.util.List;

import javax.swing.JPopupMenu;

import net.sf.doolin.gui.field.table.Column;
import net.sf.doolin.gui.field.table.FieldTable;
import net.sf.doolin.gui.field.table.header.GUITableHeaderMenuFactory;
import net.sf.doolin.gui.field.table.support.ColumnMenuItem;
import net.sf.doolin.gui.field.table.support.GUITable;
import net.sf.doolin.gui.field.table.support.GUITableField;
import net.sf.doolin.gui.util.GUIStrings;

/**
 * Default implementation for the contextual menu factory.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <V>
 *            Type of object for the view
 * @param <E>
 *            Type of item in the table
 */
public class DefaultGUITableHeaderMenuFactory<V, E> implements
		GUITableHeaderMenuFactory<V, E> {

	@Override
	public JPopupMenu createMenu(GUITable<V, E> table) {
		GUITableField<V, E> tableField = table.getTableField();
		FieldTable<V, E> tableDescriptor = tableField.getTableDescriptor();
		JPopupMenu menu = new JPopupMenu();
		// Available columns
		menu.add(GUIStrings.get("FieldTable.header.menu.columns")).setEnabled(
				false);
		List<Column> columns = tableDescriptor.getColumnGenerator()
				.generateColumns(tableField);
		for (Column column : columns) {
			ColumnMenuItem<V, E> columnMenuItem = new ColumnMenuItem<V, E>(
					column, table);
			menu.add(columnMenuItem);
		}
		// OK
		return menu;
	}

}
