package net.sf.doolin.gui.layout;

import javax.swing.JComponent;
import javax.swing.JPanel;

/**
 * Service used to position components into a container.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface LayoutService {

	/**
	 * Initializes a panel for layout
	 * 
	 * @param panel
	 *            Panel to initialize.
	 */
	void init(JPanel panel);

	/**
	 * Adds a <code>component</code> to a <code>panel</code> using the given
	 * <code>constraint</code>.
	 * 
	 * @param panel
	 *            Container
	 * @param component
	 *            Component to add
	 * @param constraint
	 *            Constraint for the position
	 */
	void add(JPanel panel, JComponent component, Object constraint);

}
