package net.sf.doolin.gui.monitor;

/**
 * This exception is thrown when a task has raised an exception during its
 * execution.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class TaskException extends Exception {

	private static final long serialVersionUID = 1L;
	private Exception exception;

	/**
	 * Constructor
	 * 
	 * @param ex
	 *            Root exception
	 */
	public TaskException(Exception ex) {
		super(ex);
		this.exception = ex;
	}

	/**
	 * Returns the encapsulated exception.
	 * 
	 * @return Exception
	 */
	public Exception getException() {
		return this.exception;
	}

}
