package net.sf.doolin.gui.monitor;

/**
 * Interface between a {@link TaskMonitor} and a {@link Task}.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <T>
 *            the result type returned by the {@link Task} {@code
 *            doInBackground} and {@code get} methods
 * @param <V>
 *            the type used for carrying out intermediate results by this
 *            {@link Task} {@code publish} and {@code process} methods
 */
public interface TaskListener<T, V> {

	/**
	 * This method is called when the task publishes a new note for the task
	 * monitor.
	 * 
	 * @param task
	 *            Task
	 * @param note
	 *            Note
	 */
	void onNoteChanged(Task<T, V> task, String note);

}
