/*
 * Created on Jul 18, 2007
 */
package net.sf.doolin.gui.service.icon;

import java.net.URL;

import javax.swing.Icon;
import javax.swing.ImageIcon;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Default icon manager. It loads icons using the classpath.
 * 
 * @author Damien Coraboeuf
 */
public class DefaultIconService extends AbstractIconService {

	/**
	 * Logger
	 */
	private final static Logger log = LoggerFactory.getLogger(DefaultIconService.class);

	@Override
	protected Icon loadIconObject(String path) {
		URL url = toURL(path);
		if (url != null) {
			log.debug("Loading icon at " + url);
			ImageIcon icon = new ImageIcon(url);
			return icon;
		} else {
			log.warn("Cannot find icon path at " + path);
			return null;
		}
	}

	@Override
	protected URL toURL(String path) {
		URL url = getClass().getResource(path);
		return url;
	}

}
