package net.sf.doolin.gui.service.support;

import java.util.HashMap;
import java.util.Map;

import net.sf.doolin.gui.service.Parameters;

/**
 * Default implementation of the {@link Parameters} service.
 * 
 * @author Damien Coraboeuf
 */
public class DefaultParameters implements Parameters {

	/**
	 * Map of parameters
	 */
	private Map<String, ?> parameters = new HashMap<String, Object>();

	/**
	 * {@inheritDoc}
	 */
	@Override
	public <E extends Enum<E>> E getEnum(String paramId, Class<E> enumClass,
			E defaultValue) {
		@SuppressWarnings("unchecked")
		E e = (E) parameters.get(paramId);
		return (e != null) ? e : defaultValue;
	}

	/**
	 * Gets the parameters.
	 * 
	 * @return the parameters
	 */
	public Map<String, ?> getParameters() {
		return parameters;
	}

	/**
	 * Sets the parameters.
	 * 
	 * @param parameters
	 *            the parameters
	 */
	public void setParameters(Map<String, ?> parameters) {
		this.parameters = parameters;
	}

}
