package net.sf.doolin.gui.spring;

import net.sf.doolin.context.spring.SimpleBeanFactory;
import net.sf.doolin.gui.field.FieldRadio;
import net.sf.doolin.util.Utils;

import org.apache.commons.lang.StringUtils;

/**
 * Parser for {@link FieldRadio}
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class RadioParser extends AbstractPropertyFieldTypeParser<FieldRadio> {

	/**
	 * Constructor
	 */
	public RadioParser() {
		super(FieldRadio.class);
		addSimpleAttribute("group");
		addSimpleAttribute("text");
		addSimpleAttribute("value");
		// Enum value
		addFactoryFromAttribute("enum", "value", new SimpleBeanFactory() {

			@Override
			public Object create(String value) {
				String name = StringUtils.substringAfterLast(value, ".");
				String enumName = StringUtils.substringBeforeLast(value, ".");
				Class<?> enumClass = Utils.forClass(enumName);
				Object enumValue = Utils.getConstant(enumClass, name);
				return enumValue;
			}
		});
	}

}
