package net.sf.doolin.gui.spring;

import net.sf.doolin.context.spring.SimpleDefinitionParser;
import net.sf.doolin.gui.window.descriptor.AbstractGUIWindowDescriptor;

/**
 * Parser for a window descriptor.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <C>
 */
@SuppressWarnings("unchecked")
public abstract class WindowTypeParser<C extends AbstractGUIWindowDescriptor>
		extends SimpleDefinitionParser<C> {

	/**
	 * Constructor
	 * 
	 * @param beanClass
	 *            Window descriptor class
	 */
	public WindowTypeParser(Class<C> beanClass) {
		super(beanClass);
		// Simple attributes
		addSimpleAttribute("windowId");
		addSimpleAttribute("iconId");
		addSimpleAttribute("titleExpression");
		// Attribute references
		addAttributeRef("closeAction");
	}

}
