package net.sf.doolin.gui.spring.table;

import net.sf.doolin.context.spring.SimpleDefinitionParser;
import net.sf.doolin.gui.field.table.renderer.LabelInfoTableCellRenderer;
import net.sf.doolin.gui.swing.EnumLabelInfoProvider;

import org.springframework.beans.factory.support.BeanDefinitionBuilder;
import org.springframework.beans.factory.xml.ParserContext;
import org.w3c.dom.Element;

/**
 * * Decorator for a {@link LabelInfoTableCellRenderer} based on
 * {@link EnumLabelInfoProvider}.
 * 
 * @author Damien Coraboeuf
 */
public class ColumnEnumDecorator extends
		SimpleDefinitionParser<LabelInfoTableCellRenderer> {

	/**
	 * Instantiates a new column enum decorator.
	 */
	public ColumnEnumDecorator() {
		super(LabelInfoTableCellRenderer.class);
		setContainerProperty("renderer");
	}

	@Override
	public void doParse(Element element, ParserContext parserContext,
			BeanDefinitionBuilder builder) {
		// Creates the label info provider
		BeanDefinitionBuilder infoProviderDefinition = BeanDefinitionBuilder
				.rootBeanDefinition(EnumLabelInfoProvider.class);
		// Sets into the contained bean)
		builder.addPropertyValue("labelProvider", infoProviderDefinition
				.getBeanDefinition());
		// OK
		super.doParse(element, parserContext, builder);
	}

}
