package net.sf.doolin.gui.swing;

import net.sf.doolin.gui.expression.GUIExpression;

import org.apache.commons.lang.ObjectUtils;
import org.apache.commons.lang.StringUtils;

/**
 * Generates a text-only label info, using the text representation of the given
 * object or a default text if the given object is <code>null</code> or blank.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class DefaultTextLabelInfoProvider implements LabelInfoProvider {

	private String defaultTextExpression = "";

	@Override
	public LabelInfo getLabelIcon(Object item) {
		String text = ObjectUtils.toString(item, "");
		if (StringUtils.isBlank(text)) {
			text = new GUIExpression(null, null, this.defaultTextExpression)
					.getValue();
		}
		return new LabelInfo(text);
	}

	/**
	 * Default text
	 * 
	 * @param defaultTextExpression
	 *            Expression
	 */
	public void setDefaultTextExpression(String defaultTextExpression) {
		this.defaultTextExpression = defaultTextExpression;
	}

}
