package net.sf.doolin.gui.validation.support;

import net.sf.doolin.gui.validation.ValidationMsgKeys;

import org.apache.commons.lang.ObjectUtils;

/**
 * This validator checks that the object can be evaluated to <code>true</code>.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class TrueObjectValidator implements ObjectValidator {

	@Override
	public String getMsgKey() {
		return ValidationMsgKeys.MSG_NONE;
	}

	@Override
	public Object[] getParams(String name) {
		return new Object[] {};
	}

	@Override
	public boolean validate(Object value) {
		if (value instanceof Boolean) {
			return (Boolean) value;
		} else {
			String s = ObjectUtils.toString(value, "false");
			return Boolean.valueOf(s);
		}
	}

}
