package net.sf.doolin.gui.window.dialog;

import java.util.List;

import net.sf.doolin.gui.action.GUIAction;

/**
 * This {@link DialogActionsFactory} returns predefined list of actions.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <B>
 *            Type of bean for the window
 */
public class CustomDialogActionsFactory<B> extends
		AbstractDialogActionsFactory<B> {

	private final List<GUIAction> dialogActions;

	/**
	 * Sets the list of actions for the dialog
	 * 
	 * @param dialogActions
	 *            Action list
	 */
	public CustomDialogActionsFactory(List<GUIAction> dialogActions) {
		this.dialogActions = dialogActions;
	}

	@Override
	public List<GUIAction> getDialogActions() {
		return this.dialogActions;
	}

}
