package net.sf.doolin.gui.window.dialog;

import java.util.Arrays;
import java.util.List;

import net.sf.doolin.gui.action.GUIAction;

/**
 * This {@link DialogActionsFactory} returns the default OK and Cancel actions
 * for a dialog.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <B>
 *            Type of bean for the window
 */
public class DefaultDialogActionsFactory<B> extends
		AbstractDialogActionsFactory<B> {

	@Override
	public List<GUIAction> getDialogActions() {
		return Arrays.asList(getOKAction(), getCancelAction());
	}

}
