package net.sf.doolin.gui.window.support;

import java.awt.Window;

import net.sf.doolin.gui.action.ActionContext;

/**
 * Factory for a window implementation.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface IWindowFactory {

	/**
	 * Creates a wrapper around a {@link Window} implementation.
	 * 
	 * @param actionContext
	 *            Associated action context
	 * @param modal
	 *            Modal status for the window
	 * @return {@link Window} wrapper
	 */
	IWindow createIWindow(ActionContext actionContext, boolean modal);

}
