package net.sf.doolin.gui.wizard.support;

import net.sf.doolin.gui.action.AbstractTextAction;
import net.sf.doolin.gui.action.ActionContext;

/**
 * Abstract action for a wizard.
 * 
 * @author Damien Coraboeuf
 * 
 */
public abstract class AbstractWizardAction extends AbstractTextAction {

	/**
	 * Constructor
	 * 
	 * @param id
	 *            ID for the action
	 * @see WizardAction
	 */
	public AbstractWizardAction(String id, String textKey) {
		super(id, textKey, true);
	}

	/**
	 * Gets the {@link WizardWindow} from the content
	 * 
	 * @param actionContext
	 *            Action context
	 * @return Wizard window
	 */
	@SuppressWarnings("unchecked")
	public <B> WizardWindow<B> getWizard(ActionContext actionContext) {
		return (WizardWindow<B>) actionContext.getWindow();
	}

}
