package net.sf.doolin.gui.docking.storage;

import net.sf.doolin.gui.docking.DockDescription;
import net.sf.doolin.gui.window.GUIWindow;

/**
 * This interface defines a way to store and retrieve the
 * {@link DockDescription} for a window.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface DockingStorage {

	/**
	 * Retrieves the {@link DockDescription} for the <code>window</code>.
	 * 
	 * @param window
	 *            Window
	 * @return {@link DockDescription} or <code>null</code> if not found
	 */
	DockDescription retrieve(GUIWindow<?> window);

	/**
	 * Stores the {@link DockDescription} for the <code>window</code>.
	 * 
	 * @param window
	 *            Window
	 * @param description
	 *            {@link DockDescription} to store
	 */
	void store(GUIWindow<?> window, DockDescription description);

}
